classification
Title: logging config - using of FileHandler's delay argument?
Type: behavior Stage:
Components: None Versions: Python 2.6
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: vinay.sajip Nosy List: maro, vinay.sajip
Priority: normal Keywords:

Created on 2009-08-07 09:53 by maro, last changed 2009-08-21 07:15 by vinay.sajip. This issue is now closed.

Messages (2)
msg91400 - (view) Author: maro (maro) Date: 2009-08-07 09:53
I'm not sure, if it's an issue. I don't know how to use argument 'delay'
of FileHandler in my logging.conf file.

[handler_tarFileHandler]
class=FileHandler
level=DEBUG
formatter=simpleFormatter
args=('/tmp/_tar2ncConverter.log','a+')
delay=True # file is created only when first message is emited (delay =
True), not working, empty file is always created...

If I put delay to FileHandler's constructor args
('/tmp/_tar2ncConverter.log','a+',None,True) I get error message about
missing arguments. It is an issue, or just my wrong arranged args?

regards 
maro
msg91419 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2009-08-08 15:27
Please attach a complete configuration file (with the delay parameter in
the args) and a short script which loads this configuration and
demonstrates the problem.
History
Date User Action Args
2009-08-21 07:15:55vinay.sajipsetstatus: pending -> closed
2009-08-09 05:38:26vinay.sajipsetstatus: open -> pending
resolution: works for me
2009-08-08 15:29:53vinay.sajipsetassignee: vinay.sajip
2009-08-08 15:27:40vinay.sajipsetnosy: + vinay.sajip
messages: + msg91419
2009-08-07 10:02:56marosettitle: logging config - using FileHandler's delay argument? -> logging config - using of FileHandler's delay argument?
2009-08-07 09:53:28marocreate